/**
 * Sample Skeleton for 'ese01.fxml' Controller Class
 */

package esercitazione01;

import java.net.URL;
import java.util.ResourceBundle;

import javafx.collections.FXCollections;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.geometry.Insets;
import javafx.scene.control.Button;
import javafx.scene.control.ChoiceBox;
import javafx.scene.control.TextField;

public class Controller {

    @FXML // ResourceBundle that was given to the FXMLLoader
    private ResourceBundle resources;

    @FXML // URL location of the FXML file that was given to the FXMLLoader
    private URL location;

    @FXML // fx:id="op2"
    private TextField op2; // Value injected by FXMLLoader

    @FXML // fx:id="op1"
    private TextField op1; // Value injected by FXMLLoader

    @FXML // fx:id="x1"
    private Insets x1; // Value injected by FXMLLoader

    @FXML // fx:id="choice"
    private ChoiceBox<String> choice; // Value injected by FXMLLoader

    @FXML // fx:id="ris"
    private TextField ris; // Value injected by FXMLLoader

    @FXML // fx:id="uguale"
    private Button uguale; // Value injected by FXMLLoader

    @FXML
    void calcola(ActionEvent event) {
		try {
			Double uno = Double.parseDouble(op1.getText());
			Double due = Double.parseDouble(op2.getText());
			
			String operazione = choice.getValue().toString();
			Double risultato = 0.0;
			
			if(operazione.equals("+"))
				risultato = uno + due;
			else if (operazione.equals("-"))
				risultato = uno - due;
			else if (operazione.equals("*"))
				risultato = uno * due;
			else if (operazione.equals("/"))
				risultato = uno / due;
			
			ris.setText(risultato.toString());
		}
		catch (Exception e) {
			ris.setText("Errore nel formato degli operandi");
		}
    }

    @FXML // This method is called by the FXMLLoader when initialization is complete
    void initialize() {
        assert op2 != null : "fx:id=\"op2\" was not injected: check your FXML file 'ese01.fxml'.";
        assert op1 != null : "fx:id=\"op1\" was not injected: check your FXML file 'ese01.fxml'.";
        assert x1 != null : "fx:id=\"x1\" was not injected: check your FXML file 'ese01.fxml'.";
        assert choice != null : "fx:id=\"choice\" was not injected: check your FXML file 'ese01.fxml'.";
        assert ris != null : "fx:id=\"ris\" was not injected: check your FXML file 'ese01.fxml'.";
        assert uguale != null : "fx:id=\"uguale\" was not injected: check your FXML file 'ese01.fxml'.";

        choice.setItems(FXCollections.observableArrayList("+", "-", "*", "/"));
    }
}
