/**
 * Sample Skeleton for 'es01.fxml' Controller Class
 */

package esercitazione01;

import java.net.URL;
import java.util.ResourceBundle;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.geometry.Insets;
import javafx.scene.control.Button;
import javafx.scene.control.TextField;

public class Controller {

    @FXML // ResourceBundle that was given to the FXMLLoader
    private ResourceBundle resources;

    @FXML // URL location of the FXML file that was given to the FXMLLoader
    private URL location;

    @FXML // fx:id="op2"
    private TextField op2; // Value injected by FXMLLoader

    @FXML // fx:id="divisione"
    private Button divisione; // Value injected by FXMLLoader

    @FXML // fx:id="op1"
    private TextField op1; // Value injected by FXMLLoader

    @FXML // fx:id="addizione"
    private Button addizione; // Value injected by FXMLLoader

    @FXML // fx:id="moltiplicazione"
    private Button moltiplicazione; // Value injected by FXMLLoader

    @FXML // fx:id="sottrazione"
    private Button sottrazione; // Value injected by FXMLLoader

    @FXML // fx:id="x1"
    private Insets x1; // Value injected by FXMLLoader

    @FXML // fx:id="ris"
    private TextField ris; // Value injected by FXMLLoader

    @FXML
    void sum(ActionEvent event) {
		try {
			Double uno = Double.parseDouble(op1.getText());
			Double due = Double.parseDouble(op2.getText());
		
			Double risultato = uno + due;
			
			ris.setText(risultato.toString());
		}
		catch (Exception e) {
			ris.setText("Errore nel formato degli operandi");
		}
    }

    @FXML
    void sub(ActionEvent event) {
		try {
			Double uno = Double.parseDouble(op1.getText());
			Double due = Double.parseDouble(op2.getText());
		
			Double risultato = uno - due;
			
			ris.setText(risultato.toString());
		}
		catch (Exception e) {
			ris.setText("Errore nel formato degli operandi");
		}
    }

    @FXML
    void mul(ActionEvent event) {
		try {
			Double uno = Double.parseDouble(op1.getText());
			Double due = Double.parseDouble(op2.getText());
		
			Double risultato = uno * due;
			
			ris.setText(risultato.toString());
		}
		catch (Exception e) {
			ris.setText("Errore nel formato degli operandi");
		}
    }

    @FXML
    void div(ActionEvent event) {
		try {
			Double uno = Double.parseDouble(op1.getText());
			Double due = Double.parseDouble(op2.getText());
		
			Double risultato = uno / due;
			
			ris.setText(risultato.toString());
		}
		catch (Exception e) {
			ris.setText("Errore nel formato degli operandi");
		}
    }

    @FXML // This method is called by the FXMLLoader when initialization is complete
    void initialize() {
        assert op2 != null : "fx:id=\"op2\" was not injected: check your FXML file 'es01.fxml'.";
        assert divisione != null : "fx:id=\"divisione\" was not injected: check your FXML file 'es01.fxml'.";
        assert op1 != null : "fx:id=\"op1\" was not injected: check your FXML file 'es01.fxml'.";
        assert addizione != null : "fx:id=\"addizione\" was not injected: check your FXML file 'es01.fxml'.";
        assert moltiplicazione != null : "fx:id=\"moltiplicazione\" was not injected: check your FXML file 'es01.fxml'.";
        assert sottrazione != null : "fx:id=\"sottrazione\" was not injected: check your FXML file 'es01.fxml'.";
        assert x1 != null : "fx:id=\"x1\" was not injected: check your FXML file 'es01.fxml'.";
        assert ris != null : "fx:id=\"ris\" was not injected: check your FXML file 'es01.fxml'.";

    }
}
